%define	upstream_name	 File-Copy-Recursive
%define upstream_version 0.45

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl module for recursively copying files and directories
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::File)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Warnings)
BuildArch:  noarch

%description
This module copies and moves directories recursively (or single files, well...
singly) to an optional depth and attempts to preserve each file or directory's
mode.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%{__make} test

%install
%make_install

%files 
%doc Changes META.json META.yml MYMETA.yml README
%{perl_vendorlib}/File
%{_mandir}/man3/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.450.0-4.mga10
+ Revision: 2205623
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.450.0-3.mga9
+ Revision: 1811795
- Mageia 9 Mass Rebuild

* Sat Feb 15 2020 umeabot <umeabot> 0.450.0-2.mga8
+ Revision: 1527745
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Jul 24 2019 tv <tv> 0.450.0-1.mga8
+ Revision: 1423700
- update to 0.45

* Thu Sep 20 2018 umeabot <umeabot> 0.440.0-2.mga7
+ Revision: 1283661
- Mageia 7 Mass Rebuild

* Wed Apr 25 2018 shlomif <shlomif> 0.440.0-1.mga7
+ Revision: 1222391
- update to 0.44

* Mon Apr 23 2018 shlomif <shlomif> 0.430.0-1.mga7
+ Revision: 1221560
- update to 0.43

* Sat Apr 21 2018 tv <tv> 0.420.0-1.mga7
+ Revision: 1220765
- update to 0.42

* Wed Jan 17 2018 tv <tv> 0.400.0-1.mga7
+ Revision: 1194076
- update to 0.40

* Sun Jan 07 2018 tv <tv> 0.390.0-1.mga7
+ Revision: 1191043
- update to 0.39

* Sun Jun 19 2016 pterjan <pterjan> 0.380.0-11.mga6
+ Revision: 1027289
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.380.0-10.mga6
+ Revision: 931735
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.380.0-9.mga5
+ Revision: 742470
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.380.0-8.mga5
+ Revision: 684712
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.380.0-7.mga4
+ Revision: 511538
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.380.0-6.mga3
+ Revision: 367149
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 21 2011 jquelin <jquelin> 0.380.0-5.mga1
+ Revision: 30265
- mageia rebuild
- imported package perl-File-Copy-Recursive


* Fri May 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.380.0-5mdv2010.1
+ Revision: 543264
- rebuild
- rebuild
- rebuild
- rebuild

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.380.0-1mdv2010.0
+ Revision: 407687
- rebuild using %%perl_convert_version

* Mon Dec 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.38-1mdv2009.1
+ Revision: 311975
- update to new version 0.38

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.37-1mdv2009.1
+ Revision: 292138
- update to new version 0.37

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.36-2mdv2009.0
+ Revision: 265363
- rebuild early 2009.0 package (before pixel changes)

* Fri Apr 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.36-1mdv2009.0
+ Revision: 195554
- update to new version 0.36

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 0.35-2mdv2008.1
+ Revision: 180396
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.35-1mdv2008.0
+ Revision: 75220
- update to new version 0.35

* Wed May 16 2007 Olivier Thauvin <nanardon@mandriva.org> 0.33-1mdv2008.0
+ Revision: 27149
- 0.33


* Sat Mar 10 2007 Olivier Thauvin <nanardon@mandriva.org> 0.31-1mdv2007.1
+ Revision: 141048
- 0.31

* Tue Dec 12 2006 Olivier Thauvin <nanardon@mandriva.org> 0.30-1mdv2007.1
+ Revision: 95137
- 0.30
- 0.25
- Import perl-File-Copy-Recursive

* Sat Jun 24 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.24-1mdv2007.0
- New version 0.24

* Fri Jun 09 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2007.0
- New release 0.23
- HTTP source URL

* Thu Jun 01 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.22-1mdk
- New release 0.22

* Fri May 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.21-1mdk
- New release 0.21

* Sun Apr 16 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.20-1mdk
- new version
- fix directory ownership
- rpmbuildupdate aware

* Thu Mar 02 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.19-1mdk
- 0.19

* Thu Feb 02 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.18-1mdk
- 0.18

* Fri Dec 02 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- Initial MDV package

